using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Text.RegularExpressions;

namespace CRegexValidation
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // If the text in TextBox txt matches the expression expr,
        // set the TextBox's BackColor = white.
        // Otherwise set BackColor = yellow.
        private void ValidateRegexField(TextBox txt, String expr)
        {
            Regex reg_exp = new Regex(expr, RegexOptions.IgnoreCase);
            if (reg_exp.IsMatch(txt.Text))
                txt.BackColor = Color.White;
            else
                txt.BackColor = Color.Yellow;
        }

        private void txtPhone_TextChanged(object sender, EventArgs e)
        {
            ValidateRegexField(txtPhone, lblPhone.Text);
        }

        private void txtEmail_TextChanged(object sender, EventArgs e)
        {
            ValidateRegexField(txtEmail, lblEmail.Text);
        }

        private void txtSSN_TextChanged(object sender, EventArgs e)
        {
            ValidateRegexField(txtSSN, lblSSN.Text);
        }

        private void txtFloat_TextChanged(object sender, EventArgs e)
        {
            ValidateRegexField(txtFloat, lblFloat.Text);
        }

        private void txtExp_TextChanged(object sender, EventArgs e)
        {
            ValidateRegexField(txtExp, lblExp.Text);
        }

        private void txtDate_TextChanged(object sender, EventArgs e)
        {
            ValidateRegexField(txtDate, lblDate.Text);
        }
    }
}