Imports System.Text.RegularExpressions

Public Class Form1
    ' If the text in TextBox txt matches the expression expr,
    ' set the TextBox's BackColor = white.
    ' Otherwise set BackColor = yellow.
    Private Sub ValidateRegexField(ByVal txt As TextBox, ByVal expr As String)
        Dim reg_exp As New Regex(expr, RegexOptions.IgnoreCase)
        If reg_exp.IsMatch(txt.Text) Then
            txt.BackColor = Color.White
        Else
            txt.BackColor = Color.Yellow
        End If
    End Sub

    Private Sub txtPhone_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtPhone.TextChanged
        ValidateRegexField(txtPhone, lblPhone.Text)
    End Sub
    Private Sub txtEmail_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtEmail.TextChanged
        ValidateRegexField(txtEmail, lblEmail.Text)
    End Sub
    Private Sub txtSSN_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSSN.TextChanged
        ValidateRegexField(txtSSN, lblSSN.Text)
    End Sub
    Private Sub txtFloat_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtFloat.TextChanged
        ValidateRegexField(txtFloat, lblFloat.Text)
    End Sub
    Private Sub txtExp_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtExp.TextChanged
        ValidateRegexField(txtExp, lblExp.Text)
    End Sub
    Private Sub txtDate_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtDate.TextChanged
        ValidateRegexField(txtDate, lblDate.Text)
    End Sub
End Class
