Imports System.Security.Cryptography
Imports System.IO

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim file_path As String = Application.StartupPath
        file_path = file_path.Substring(0, file_path.LastIndexOf("\"))
        file_path = file_path.Substring(0, file_path.LastIndexOf("\"))
        txtDataFile.Text = file_path & "\TestData.txt"
        txtHashFile.Text = file_path & "\TestData.hsh"
        txtDataFile.Select(0, 0)
        txtHashFile.Select(0, 0)
    End Sub

    ' Display the file's hash value.
    Private Sub btnHash_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnHash.Click
        ' Open the file.
        Dim file_stream As New FileStream(txtDataFile.Text, FileMode.Open)

        ' Use an SHA1Managed object to hash the bytes.
        Dim sha1 As New SHA1Managed()
        Dim hash_bytes() As Byte = sha1.ComputeHash(file_stream)

        ' Display the hash value.
        Dim txt As String = ""
        For Each b As Byte In hash_bytes
            txt &= Hex(b).PadLeft(2, "0"c)
        Next b
        txtHashValue.Text = txt

        ' Clean up.
        file_stream.Close()
        file_stream.Dispose()

        ' Display the old hash value.
        If My.Computer.FileSystem.FileExists(txtHashFile.Text) Then
            txtOldHashValue.Text = My.Computer.FileSystem.ReadAllText(txtHashFile.Text)
        Else
            txtOldHashValue.Text = "<none>"
        End If
        If txtHashValue.Text = txtOldHashValue.Text Then
            txtOldHashValue.BackColor = Color.White
        Else
            txtOldHashValue.BackColor = Color.Yellow
        End If
    End Sub

    ' Save the hash value into the hash file.
    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        File.WriteAllText(txtHashFile.Text, txtHashValue.Text)
    End Sub
End Class
