﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace CIntersectingTetrahedrons
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // Perform Direct3D tasks.
            // Make the form.
            TetrahedronForm frm = new TetrahedronForm();

            // Initialize Direct3D.
            if (frm.InitializeGraphics())
            {
                frm.Show();

                // While the form is valid, render the scene and process messages.
                while (frm.Created)
                {
                    frm.Render();
                    Application.DoEvents();
                }
            }
        }
    }
}
