Imports System.Reflection

Public Class Form1
    ' List our classes.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim assem As Assembly = Assembly.GetExecutingAssembly()

        lstClasses.Items.Clear()

        For Each target_type As Type In assem.GetTypes
            lstClasses.Items.Add(target_type)
        Next target_type
    End Sub

    Private Sub lstClasses_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstClasses.SelectedIndexChanged
        Debug.WriteLine("****************************************")
        Dim target_type As Type = DirectCast(lstClasses.SelectedItem, Type)
        If target_type Is Nothing Then Exit Sub

        Debug.WriteLine(vbCrLf & "*** Constructors ***")
        For Each ci As ConstructorInfo In target_type.GetConstructors()
            Debug.WriteLine(ci.Name)
        Next ci

        Debug.WriteLine(vbCrLf & "*** Methods ***")
        For Each mi As MethodInfo In target_type.GetMethods()
            Debug.WriteLine(mi.Name)
        Next mi

        Debug.WriteLine(vbCrLf & "*** Properties ***")
        For Each pi As PropertyInfo In target_type.GetProperties()
            Debug.WriteLine(pi.Name)
        Next pi

        Debug.WriteLine(vbCrLf & "*** Fields ***")
        For Each fi As FieldInfo In target_type.GetFields()
            Debug.WriteLine(fi.Name)
        Next fi

        Debug.WriteLine(vbCrLf & "*** Events ***")
        For Each ei As EventInfo In target_type.GetEvents()
            Debug.WriteLine(ei.Name)
        Next ei

        Debug.WriteLine(vbCrLf & "*** Interfaces ***")
        For Each itype As Type In target_type.GetInterfaces()
            Debug.WriteLine(itype.Name)
        Next itype

        Debug.WriteLine("****************************************")
    End Sub
End Class
