using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Text.RegularExpressions;

namespace CListEmails
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnListEmails_Click(object sender, EventArgs e)
        {
            Regex reg_ex = new Regex(
                "(?<name>[A-Z0-9._%-]+)@(?<domain>[A-Z0-9.-]+\\.[A-Z]{2,4})",
                RegexOptions.IgnoreCase | RegexOptions.Compiled);

            Match a_match = reg_ex.Match(txtInput.Text);
            while (a_match.Success)
            {
                lstEmails.Items.Add(
                    a_match.Groups[1].Value + "@" +
                    a_match.Groups[2].Value);
                a_match = a_match.NextMatch();
            }
        }
    }
}