using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Text.RegularExpressions;

namespace CTotalTrim
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            txtInput.Text = "    \r\n" +
                "Here   is some    text\r\n" +
                "that spans\tmultiple     lines\r\n" +
                "and contains   consecutive " +
                "whitespace  \t\t  characters.\r\n" +
                "    ";
            txtInput.Select(0, 0);
        }

        private void btnCleanUp_Click(object sender, EventArgs e)
        {
            txtResult.Text = TrimAndCompressWhitespace(txtInput.Text);
        }

        // Replace consecutive whitespace characters with a 
        // single space. Remove trailing and leading whitespace.
        private String TrimAndCompressWhitespace(String txt)
        {
            return Regex.Replace(txt, "\\s+", " ").Trim();
        }
    }
}